<template>
    <div>
        <div class="popup">
            <div class="popup__header"><p>Заказ</p><a style="cursor: pointer" @click="hide_part"><div class="icon-modal-close"></div></a></div>
            <div class="popup__form">
                <h3>Ваши контактные данные</h3>
                <input @input="update_contacts" :value="contacts.name" type="text" class="form__full" name="name" placeholder="Ваше имя" />
                <input @input="update_contacts" :value="contacts.email" type="email" name="email" placeholder="Email" />
                <input @input="update_contacts" :value="contacts.phone" type="tel" name="phone" placeholder="Телефон" />
                <h3>Данные заказа</h3>
                <input @input="update_part" :value="part.mark" type="text" class="form__half form__half--first" name="mark" placeholder="Марка авто" />
                <input @input="update_part" :value="part.model" type="text" class="form__half" name="model" placeholder="Модель авто" />
                <input @input="update_part" :value="part.body" type="text" class="form__third form__half--first" name="body" placeholder="Кузов/VIN" />
                <input @input="update_part" :value="part.engine" type="text" class="form__third" name="engine" placeholder="Двигатель" />
                <input @input="update_part" :value="part.year" type="text" class="form__third" name="year" placeholder="Год" />
                <p>Комментарий к заказу</p>
                <textarea @input="update_contacts" :value="contacts.comment" name="comment"></textarea>
            </div>
            <nav>
                <a v-if="part_sending" class="order__button" rel="nofollow">Отправляется...</a>
                <a v-else class="order__button" @click="part_send" rel="nofollow">Заказать</a>
            </nav>
        </div><br><br><br>
    </div>
</template>

<script>
  import { mapMutations, mapState, mapActions } from 'vuex';

  export default {
    name: 'PartOrder',
    computed: {
      ...mapState('cart', ['contacts', 'part', 'part_sending'])
    },
    methods: {
      ...mapMutations('cart', ['hide_part', 'update_contacts', 'update_part']),
      ...mapActions('cart', ['send_part']),
      part_send: function () {
        this.send_part()
          .then(() => this.$parent.$refs.success.open())
          .catch(() => this.$parent.$refs.error.open());
      }
    }
  }
</script>

<style scoped>

</style>
